Bug 47533 - memcached: Multiple issues (4.2)
memcached: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
All Linux
: P3 normal (vote)
: UCS 4.2-4-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-09 10:18 CEST by Quality Assurance
Modified: 2018-08-15 16:20 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 9.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2018-08-09 10:18:32 CEST
New Debian memcached 1.4.21-1.1+deb8u2 fixes:
This update addresses the following issue(s):
* 
* The try_read_command function in memcached.c in memcached before 1.4.39 allows remote attackers to cause a denial of service (segmentation fault) via a request to add/set a key, which makes a comparison between signed and unsigned int and triggers a heap-based buffer over-read. NOTE: this vulnerability exists because of an incomplete fix for CVE-2016-8705. (CVE-2017-9951)
* Memcached version 1.5.5 contains an Insufficient Control of Network Message Volume (Network Amplification, CWE-406) vulnerability in the UDP support of the memcached server that can result in denial of service via network flood (traffic amplification of 1:50,000 has been reported by reliable sources). This attack appear to be exploitable via network connectivity to port 11211 UDP. This vulnerability appears to have been fixed in 1.5.6 due to the disabling of the UDP protocol by default. (CVE-2018-1000115)
* memcached version prior to 1.4.37 contains an Integer Overflow vulnerability in items.c:item_free() that can result in data corruption and deadlocks due to items existing in hash table being reused from free list. This attack appear to be exploitable via network connectivity to the memcached service. This vulnerability appears to have been fixed in 1.4.37 and later. (CVE-2018-1000127)

1.4.21-1.1+deb8u2 (Sun, 03 Jun 2018 15:21:23 +0200) * Non-maintainer upload by the Security Team. * Heap-based buffer over-read in try_read_command function (CVE-2017-9951) * disable UDP port by default (CVE-2018-1000115) * debian/NEWS: Add explanation and document how to re-enable UDP if necessary * Don't overflow item refcount on get (CVE-2018-1000127)
* CVE-2017-9951 memcached: Heap-based buffer over-read in try_read_command function (incomplete fix for CVE-2016-8705) (CVE-2017-9951)
* CVE-2018-1000115 memcached: UDP server support allows spoofed traffic amplification DoS (CVE-2018-1000115)
* CVE-2018-1000127 memcached: Integer Overflow in items.c:item_free() (CVE-2018-1000127)
* CVE-2016-8705 memcached: Server update remote code execution (CVE-2016-8705)
Comment 1 Quality Assurance univentionstaff 2018-08-09 18:46:22 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/memcached_1.4.21-1.1+deb8u1.dsc
+++ apt/ucs_4.2-0-errata4.2-4/source/memcached_1.4.21-1.1+deb8u2.dsc
@@ -1,3 +1,13 @@
+1.4.21-1.1+deb8u2 [Sun, 03 Jun 2018 15:21:23 +0200] Salvatore Bonaccorso <carnil@debian.org>:
+
+  * Non-maintainer upload by the Security Team.
+  * Heap-based buffer over-read in try_read_command function (CVE-2017-9951)
+    (Closes: #868701)
+  * disable UDP port by default (CVE-2018-1000115)
+  * debian/NEWS: Add explanation and document how to re-enable UDP if
+    necessary
+  * Don't overflow item refcount on get (CVE-2018-1000127) (Closes: #894404)
+
 1.4.21-1.1+deb8u1 [Tue, 01 Nov 2016 22:10:45 +0100] Salvatore Bonaccorso <carnil@debian.org>:
 
   * Non-maintainer upload by the Security Team.

<http://10.200.17.11/4.2-4/#212723459825249946>
Comment 2 Philipp Hahn univentionstaff 2018-08-10 11:41:01 CEST
OK: yaml
OK: errata-announce
OK: patch
OK: piuparts

[4.2-4] 7c1af59d69 Bug #47533: memcached 1.4.21-1.1+deb8u2
 doc/errata/staging/memcached.yaml | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

[4.2-4] e266888f61 Bug #47533: memcached 1.4.21-1.1+deb8u2
 doc/errata/staging/memcached.yaml | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
Comment 3 Arvid Requate univentionstaff 2018-08-15 16:20:15 CEST
<http://errata.software-univention.de/ucs/4.2/467.html>